View Issue Details

IDProjectCategoryView StatusLast Update
0003392SymmetricDSNew Featurepublic2018-03-12 08:28
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.4Fixed in Version3.9.4 
Summary0003392: Resolve foreign key errors using target database metadata and request rows from source
DescriptionThe auto.resolve.foreign.key.violation parameter currently allows resolving of foreign key errors when the source node receives the acknowledgement and sends a reload of the dependent rows. But in this scenario, the target node has foreign keys and the source node does not. The auto.resolve.foreign.key.violation.reverse parameter will find foreign key tables at the target node and send a script to the source node to send a reload of the rows.

See also 0003073.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 f529434e

2018-01-29 13:27:13

admin

Details Diff
0003392: Resolve foreign key errors using target database metadata and
request rows from source

0003392
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ManageIncomingBatchListener.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2018-01-29 13:14 elong New Issue
2018-01-29 13:14 elong Status new => assigned
2018-01-29 13:14 elong Assigned To => elong
2018-01-29 13:28 elong Status assigned => resolved
2018-01-29 13:28 elong Resolution open => fixed
2018-01-29 13:28 elong Fixed in Version => 3.9.4
2018-02-14 15:08 admin Changeset attached => SymmetricDS 3.9 f529434e
2018-03-12 08:28 chenson Status resolved => closed